{% extends '@DemosPlanCore/DemosPlanCore/base.html.twig' %}
{% block component_part %}
	<h1>{{ templateTitle }}</h1>

	<form name="xsubmititem" enctype="multipart/form-data" method="post" action="{{ path('DemosPlan_plandocument_administration_' ~ category ~ '_new',{'procedure':procedure, 'elementId':elementId}) }}" data-dp-validate>
        <input name="r_action" type="hidden" value="documentnew">
        <input name="r_elementId" type="hidden" value="{{ elementId|default() }}">

		<label>
            {{ "status"|trans }}*
            <select
                required
                class="layout__item u-pl-0"
                data-cy="SelectParagraphStatus"
                name="r_visible">
                    <option selected="selected" value="1">{{ "released"|trans }}</option>
                    <option value="0">{{ "blocked"|trans }}</option>
            </select>
        </label>

        <label>
            {{ "heading"|trans }}*
            <input
                class="layout__item"
                name="r_title"
                type="text"
                value=""
                required
                data-cy="newParagraphTitle">
        </label>

        <label>
            {{ "paragraph.parent"|trans }}*
            <select class="layout__item" name="r_parentId" required>
                <option
                        value="0"
                        title="{{ "paragraph.parent.none"|trans }}">
                    {{ "paragraph.parent.none"|trans }}
                </option>
                {% for relatedDocument in templateVars.relatedDocuments %}
                    {# to workaround super long paragraph titles, shorten the title to 100 characters
                       followed by a hellip and output the full string only in title attribute of option
                       to be revealed on :hover #}
                    {% if relatedDocument.title|length > 100 %}
                        {% set title_short = relatedDocument.title|slice(0, 100) ~ '…' %}
                    {% else %}
                        {% set title_short = relatedDocument.title %}
                    {% endif %}
                    <option
                            value="{{ relatedDocument.id }}"
                            title="{{ relatedDocument.title }}">
                        {{ title_short|default(relatedDocument.title) }}
                    </option>
                {% endfor %}

            </select>
        </label>
	    <label class="u-mb-0" for="r_text">
            {{ "paragraph.text"|trans }}*
        </label>
        <dp-editor
            value=""
            class="u-mb"
            hidden-input="r_text"
            ref="r_text"
            :toolbar-items="{
                imageButton: true,
                insertAndDelete: true,
                linkButton: true,
                table: true
            }"
            :routes="{
              getFileByHash: (hash) => Routing.generate('core_file', { hash: hash })
            }"
            procedure-id="{{ procedure }}"
            :required="true">
        </dp-editor>

        <div class="text-right space-inline-s">
            <input
                class="btn btn--primary"
                name="submit_item_button"
                type="submit"
                data-cy="saveNewParagraph"
                value="{{ "save"|trans }}">
            <a class="btn btn--secondary" href="{{ path('DemosPlan_plandocument_administration_element', {'procedure':procedure, 'elementId':elementId}) }}">
                {{ "abort"|trans }}
            </a>
        </div>

	</form>
{% endblock %}
{% block javascripts %}
    {{ parent() }}
    {{ webpackBundles(['document-paragraphAdminNew.js']) }}
{% endblock javascripts %}
